> ## Documentation Index
> Fetch the complete documentation index at: https://flowglad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Price



## OpenAPI

````yaml https://app.flowglad.com/api/openapi get /api/v1/prices/{id}
openapi: 3.1.0
info:
  title: Flowglad API
  version: 0.0.1
servers:
  - url: https://app.flowglad.com
security: []
externalDocs:
  url: https://docs.flowglad.com
paths:
  /api/v1/prices/{id}:
    get:
      tags:
        - Prices
      summary: Get Price
      operationId: prices-get
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  price:
                    $ref: '#/components/schemas/PriceRecord'
                required:
                  - price
                additionalProperties: false
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PriceRecord:
      anyOf:
        - $ref: '#/components/schemas/SubscriptionPriceClientSelectSchema'
        - $ref: '#/components/schemas/SinglePaymentPriceClientSelectSchema'
        - $ref: '#/components/schemas/UsagePriceClientSelectSchema'
    error.BAD_REQUEST:
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Invalid input data
          type: string
        code:
          description: The error code
          example: BAD_REQUEST
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.UNAUTHORIZED:
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Authorization not provided
          type: string
        code:
          description: The error code
          example: UNAUTHORIZED
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.FORBIDDEN:
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Insufficient access
          type: string
        code:
          description: The error code
          example: FORBIDDEN
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.NOT_FOUND:
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Not found
          type: string
        code:
          description: The error code
          example: NOT_FOUND
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.INTERNAL_SERVER_ERROR:
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Internal server error
          type: string
        code:
          description: The error code
          example: INTERNAL_SERVER_ERROR
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    SubscriptionPriceClientSelectSchema:
      type: object
      properties:
        id:
          type: string
        createdAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        updatedAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        livemode:
          type: boolean
        intervalUnit:
          type: string
          enum:
            - day
            - week
            - month
            - year
        name:
          anyOf:
            - type: string
            - type: 'null'
        intervalCount:
          description: A positive integer
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        type:
          type: string
          const: subscription
        trialPeriodDays:
          description: >-
            The trial period in days. If the trial period is 0 or null, there
            will be no trial period.
          anyOf:
            - anyOf:
                - description: A positive integer
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                - type: number
                  const: 0
            - type: 'null'
        isDefault:
          description: >-
            Whether or not this price is the default price. For product prices,
            this indicates the default price for that product. For usage prices,
            this indicates the default price for that usage meter.
          type: boolean
        unitPrice:
          description: >-
            The price per unit. This should be in the smallest unit of the
            currency. For example, if the currency is USD, GBP, CAD, EUR or SGD,
            the price should be in cents.
          anyOf:
            - description: A positive integer
              type: integer
              exclusiveMinimum: 0
              maximum: 9007199254740991
            - type: number
              const: 0
        usageEventsPerUnit:
          description: Omitted.
          type: 'null'
        productId:
          description: The product this price belongs to. Required for subscription prices.
          type: string
        active:
          type: boolean
        currency:
          $ref: '#/components/schemas/CurrencyCode'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        usageMeterId:
          description: Omitted.
          type: 'null'
        pricingModelId:
          type: string
      required:
        - id
        - createdAt
        - updatedAt
        - livemode
        - intervalUnit
        - name
        - intervalCount
        - type
        - isDefault
        - unitPrice
        - usageEventsPerUnit
        - productId
        - active
        - currency
        - slug
        - usageMeterId
        - pricingModelId
      additionalProperties: false
    SinglePaymentPriceClientSelectSchema:
      type: object
      properties:
        id:
          type: string
        createdAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        updatedAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        livemode:
          type: boolean
        intervalUnit:
          description: Omitted.
          type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        intervalCount:
          description: Omitted.
          type: 'null'
        type:
          type: string
          const: single_payment
        trialPeriodDays:
          description: Omitted.
          type: 'null'
        isDefault:
          description: >-
            Whether or not this price is the default price. For product prices,
            this indicates the default price for that product. For usage prices,
            this indicates the default price for that usage meter.
          type: boolean
        unitPrice:
          description: >-
            The price per unit. This should be in the smallest unit of the
            currency. For example, if the currency is USD, GBP, CAD, EUR or SGD,
            the price should be in cents.
          anyOf:
            - description: A positive integer
              type: integer
              exclusiveMinimum: 0
              maximum: 9007199254740991
            - type: number
              const: 0
        usageEventsPerUnit:
          description: Omitted.
          type: 'null'
        productId:
          description: >-
            The product this price belongs to. Required for single payment
            prices.
          type: string
        active:
          type: boolean
        currency:
          $ref: '#/components/schemas/CurrencyCode'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        usageMeterId:
          description: Omitted.
          type: 'null'
        pricingModelId:
          type: string
      required:
        - id
        - createdAt
        - updatedAt
        - livemode
        - name
        - type
        - isDefault
        - unitPrice
        - productId
        - active
        - currency
        - slug
        - pricingModelId
      additionalProperties: false
    UsagePriceClientSelectSchema:
      type: object
      properties:
        id:
          type: string
        createdAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        updatedAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        livemode:
          type: boolean
        intervalUnit:
          type: string
          enum:
            - day
            - week
            - month
            - year
        name:
          anyOf:
            - type: string
            - type: 'null'
        intervalCount:
          description: A positive integer
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        type:
          type: string
          const: usage
        trialPeriodDays:
          description: Omitted.
          type: 'null'
        isDefault:
          description: >-
            Whether or not this price is the default price. For product prices,
            this indicates the default price for that product. For usage prices,
            this indicates the default price for that usage meter.
          type: boolean
        unitPrice:
          description: >-
            The price per unit. This should be in the smallest unit of the
            currency. For example, if the currency is USD, GBP, CAD, EUR or SGD,
            the price should be in cents.
          anyOf:
            - description: A positive integer
              type: integer
              exclusiveMinimum: 0
              maximum: 9007199254740991
            - type: number
              const: 0
        usageEventsPerUnit:
          description: >-
            The number of usage events per unit. Used to determine how to map
            usage events to quantities when raising invoices for usage.
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        productId:
          type: 'null'
        active:
          type: boolean
        currency:
          $ref: '#/components/schemas/CurrencyCode'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        usageMeterId:
          description: >-
            The usage meter that uses this price. All usage events on that meter
            must be associated with a price that is also associated with that
            usage meter.
          type: string
        pricingModelId:
          type: string
      required:
        - id
        - createdAt
        - updatedAt
        - livemode
        - intervalUnit
        - name
        - intervalCount
        - type
        - trialPeriodDays
        - isDefault
        - unitPrice
        - usageEventsPerUnit
        - productId
        - active
        - currency
        - slug
        - usageMeterId
        - pricingModelId
      additionalProperties: false
    CurrencyCode:
      description: Currency code
      type: string
      enum:
        - USD
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - ISK
        - JMD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KRW
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SEK
        - SGD
        - SHP
        - SLE
        - SOS
        - SRD
        - STD
        - SZL
        - THB
        - TJS
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - UYU
        - UZS
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````